# GtkChem3DViewer Struct Reference

`#include <gcu/gtkchem3dviewer.h>`

## Detailed Description

The GtkChem3DViewer displays 3D models of molecules using an OpenGL window. A test program is available in the tests directory of the Gnome Chemistry Utils source archive (sources in testgtkchem3dviewer.c).

## Properties

There are two properties:

- "display3d": Display3DMode (Read / Write).
  This property is used to set the display mode. When using the Bonobo control, a string is used instead the enumeration. Possible values are:
  - BALL_AND_STICK: use ball and stick representation; atoms are represented by spheres with a radius equal to 20% of their van der Waals radius and bonds are displayed as cylinders. String version is "ball&stick".
  - SPACEFILL: use space filling representation; atoms are represented by spheres with a radius equal their van der Waals radius; bonds are not displayed. String version is "spacefill".

- "bgcolor": gchar* (Read / Write).
  The background color for the display, for example "black" or "#ffffe6". Only "black", "white" and "#rrggbb" are accepted in this version of the Gnome Chemistry Utils.

  ## Functions

Functions related to the GtkChem3DViewer Widget are described in the gtkchem3dviewer.h page.

The documentation for this struct was generated from the following file:

- gtkchem3dviewer.h